<script>
	import SVG from "@/components/svg.svelte"
	
	import { l } from "@/i18n"

	export let data

	$: name = data.name
	$: url = data.url
	$: cars = data.cars
</script>

<template lang="pug">
	.collapse
		.collapse-trigger.is-flex.is-align-items-center.is-justify-content-space-between
			.data.is-flex.is-align-items-center.is-justify-content-flex-start
				span.icon.is-flex: SVG( folder="brands" name='{url}' )
				p.name {name}
		.collapse-body
			.list
				+each('cars as car')
					a.list-item.is-flex.is-align-items-center( href!='{$l(`cars/${car.url}`)}' target="_blank" )
						.left.is-flex-grow-1
							p.name {car.name}
						.right.is-flex-grow-1.is-flex.is-align-items-center.is-justify-content-space-between
							.types.is-flex.is-align-items-center
								+each('car.types.sort((a, b) => a.position > b.position ? 1 : -1) as type')
									a( href!='{$l(`cars/${type.url}`)}' ) {type.name}
							.prices.is-flex.is-align-items-center.is-justify-content-center
								p.aed {car.price.aed} AED
								p.usd {car.price.usd} USD
</template>

<style lang="scss">
.collapse {
	&-trigger {
		border-bottom: 1px solid $gray-text;
		.data {
			.icon {
				width: 2rem;
				height: 2rem;
				margin-right: .5rem;
				:global(svg) {
					height: 2rem;
				}
				:global(svg path) {
					fill: $gray-text;
				}
			}
			.name {
				font-size: .875rem;
				font-weight: 300;
				user-select: none;
				color: $gray-text;
			}
		}
	}
}

.list {
	max-width: 981px;
	margin: 0 auto;
	padding: .5rem 0 1.5rem;
	&-item {
		padding: .375rem 0;
		a, p {
			font-size: .75rem;
			font-weight: 300;
			line-height: 1rem;
		}
		.left,
		.right {
			width: 50%;
		}
		.right {
			width: 50%;
			.types {
				a + a {
					margin-left: .125rem;
				}
			}
		}

		.prices {
			p {
				padding: .125rem;
				&.aed {
					color: $gray-text;
				}
				&.usd {
					color: $white;
					background: $gray-text;
				}
				&+p {
					margin-left: .25rem;
				}
			}
		}

		&:nth-of-type(2n - 1) {
			background: $gray;
		}
	}
}
</style>